Package org.apache.qpid.proton.codec

# Class MapType

java.lang.Object
org.apache.qpid.proton.codec.MapType

All Implemented Interfaces:
  `AMQPType<Map>`, `PrimitiveType<Map>`

public class MapType extends Object

## Method Summary

Modifier and Type
Method
Description
`Collection<org.apache.qpid.proton.codec.MapType.MapEncoding>`
`getAllEncodings()`
`org.apache.qpid.proton.codec.MapType.MapEncoding`
`getCanonicalEncoding()`
`org.apache.qpid.proton.codec.MapType.MapEncoding`
`getEncoding(Map val)`
`Class<Map>`
`getTypeClass()`
`void`
`setKeyEncoding(AMQPType<?> keyType)`
`final void`
`write(Map val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<Map> getTypeClass()

### setKeyEncoding

public void setKeyEncoding(AMQPType<?> keyType)

### getEncoding

public org.apache.qpid.proton.codec.MapType.MapEncoding getEncoding(Map val)

### getCanonicalEncoding

public org.apache.qpid.proton.codec.MapType.MapEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<org.apache.qpid.proton.codec.MapType.MapEncoding> getAllEncodings()

### write

public final void write(Map val)

Specified by:
  `write` in interface `AMQPType<T>`